%define module	OpenOffice-OODoc
%define name	perl-%{module}
%define version 2.103
%define release %mkrel 1

#(nl) this 2 requires are not needed, they are on a exemple file only
%define _requires_exceptions  perl(Tk::Dialog)\\|perl(Tk) 

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/OpenOffice/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(XML::Twig)
BuildRequires:	perl(Archive::Zip)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
A library for Open Document processing

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{perl_vendorlib}/OpenOffice
%{_mandir}/*/*




%changelog
* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.103-1mdv2009.0
+ Revision: 220150
- update to new version 2.103

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.102-1mdv2009.0
+ Revision: 201863
- update to new version 2.102

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.035-1mdv2008.0
+ Revision: 47703
- update to new version 2.035


* Tue Aug 29 2006 guillomovitch
+ 2006-08-29 10:35:55 (58590)
- new version\nfix directory ownership

* Thu Aug 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-03 15:03:03 (43229)
- import perl-OpenOffice-OODoc-2.026-1mdv2007.0

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.026-1mdv2007.0
- New version 2.026

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.025-1mdv2007.0
- New release 2.025

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.024-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Mon Mar 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.024-1mdk
- New release 2.024

* Wed Feb 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.023-1mdk
- New release 2.023

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.022-1mdk
- New release 2.022
- fix non-interactive build

* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.019-2mdk
- Fix Typo
- Fix Requires

* Tue Jan 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.019-1mdk
- first mdk release

